package astri.tcs.TCSHardwareDeviceImpl;

public class AlarmInformation {
	
    ///< This contains the alarm code, which should be unique within
    /// each device.
    private int alarmCode=0;

    /// < int. How many time the alarm must be deactivated until it is
    /// actually cleared.
    private int alarmTerminateCount=0;

    /// <How many time the alarm must be activated until it is
    /// actually triggered.
    private int alarmActivateCount=0;

    /// < Optional description for the alarm. 
    
    String alarmDescription=null;

	public AlarmInformation() {
		super();
		
	}

	public int getAlarmCode() {
		return alarmCode;
	}

	public void setAlarmCode(int alarmCode) {
		this.alarmCode = alarmCode;
	}

	public int getAlarmTerminateCount() {
		return alarmTerminateCount;
	}

	public void setAlarmTerminateCount(int alarmTerminateCount) {
		this.alarmTerminateCount = alarmTerminateCount;
	}

	public int getAlarmActivateCount() {
		return alarmActivateCount;
	}

	public void setAlarmActivateCount(int alarmActivateCount) {
		this.alarmActivateCount = alarmActivateCount;
	}

	public String getAlarmDescription() {
		return alarmDescription;
	}

	public void setAlarmDescription(String alarmDescription) {
		this.alarmDescription = alarmDescription;
	}
	
	

}
